aboutsummaryrefslogtreecommitdiffstats
path: root/build-aux
diff options
context:
space:
mode:
authorRafael G. Martins <rafael@rafaelmartins.eng.br>2016-10-10 02:13:47 +0200
committerRafael G. Martins <rafael@rafaelmartins.eng.br>2016-10-10 02:13:47 +0200
commit3cd3dcb5bb3b0481812ddd3ff8dc182bdb20be23 (patch)
treed99f57f85d2472caf334a4b96fbebd95cee873f7 /build-aux
parent62f999141701ba915a035a11cbac7fc7ddb08f31 (diff)
downloadblogc-3cd3dcb5bb3b0481812ddd3ff8dc182bdb20be23.tar.gz
blogc-3cd3dcb5bb3b0481812ddd3ff8dc182bdb20be23.tar.bz2
blogc-3cd3dcb5bb3b0481812ddd3ff8dc182bdb20be23.zip
git-receiver: added support to get mirror url from config file
this commit also includes some "integration test" in shell script
Diffstat (limited to 'build-aux')
-rwxr-xr-xbuild-aux/valgrind.sh18
1 files changed, 18 insertions, 0 deletions
diff --git a/build-aux/valgrind.sh b/build-aux/valgrind.sh
new file mode 100755
index 0000000..4db7477
--- /dev/null
+++ b/build-aux/valgrind.sh
@@ -0,0 +1,18 @@
+#!/bin/bash
+
+set -e
+
+export TESTS_ENVIRONMENT="
+ ${VALGRIND:-valgrind} \
+ --tool=memcheck \
+ --leak-check=full \
+ --leak-resolution=high \
+ --num-callers=20 \
+ --error-exitcode=1 \
+ --show-possibly-lost=no"
+
+if [[ "${1}" == *.sh ]]; then
+ exec "${1}"
+else
+ exec ${TESTS_ENVIRONMENT} "${1}"
+fi